Bug 763119 - (GLUSTER-1387) dbench fails with distributed-replicate setup
dbench fails with distributed-replicate setup
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1-alpha
All Linux
low Severity high
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 06:40 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shehjar Tikoo 2010-08-17 06:33:12 EDT
Wheres the log?
Comment 1 Lakshmipathi G 2010-08-17 06:40:58 EDT
Running dbench on 3.1.0qa6 fails with 4x3 distributed-replicate setup ,with following errors. 

/bin/rm: cannot remove directory `./clients/client41/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client7/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client6/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client37/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client27/~dmtmp/SEED': Directory not empty
/bin/rm: cannot remove `./clients/client17/~dmtmp/PARADOX/.nfs0711114d00000134': Device or resource busy
/bin/rm: cannot remove `./clients/client40/~dmtmp/PWRPNT/.nfs1a550c9f0000013b': Device or resource busy
/bin/rm: cannot remove `./clients/client40/~dmtmp/PWRPNT/.nfs1a5515930000013a': Device or resource busy
/bin/rm: cannot remove directory `./clients/client12/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client26/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client24/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client11/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client46/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client44/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client42/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client15/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client18/~dmtmp/SEED': Directory not empty
/bin/rm: cannot remove directory `./clients/client5/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client10/~dmtmp/SEED': Directory not empty
/bin/rm: cannot remove directory `./clients/client35/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client48/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client45/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove `./clients/client2/~dmtmp/PARADOX/.nfs2649120000000150': Device or resource busy
/bin/rm: cannot remove directory `./clients/client1/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client9/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove `./clients/client14/~dmtmp/PWRPNT/PPTB1E4.TMP': Stale NFS file handle
/bin/rm: cannot remove directory `./clients/client25/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client4/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client34/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client22/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client3/~dmtmp/PWRPNT': Directory not empty
/bin/rm: cannot remove directory `./clients/client49/~dmtmp/PWRPNT': Directory not empty
Comment 2 Shehjar Tikoo 2010-09-23 06:29:41 EDT
A trial 600 sec run did not result in any errors. Starting 12 hour run.
Comment 3 Shehjar Tikoo 2010-09-24 00:41:32 EDT
12 hour dbench run completed successfully on 3.1alpha from yesterday. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.